1 Reply Latest reply on Jan 18, 2017 10:22 AM by Chris W. Griffith

    Upgrading from 3.7.0

    nisanc8822890

      Hello All,

       

      I have an app that was not updated for quite some time now. It was on 3.7.0

       

      Build no longer supports 3.7.0 so I tried to compile in cli-6.0.5

      While the application did compile I do not seem to have any internet connection

      Logcat says barcodescanner.js not found

       

      have the functions changed from 3.7 to 6.0?

       

      below are the 3.7 and 6.0 config files

       

      3.7:

      <gap:plugin name="org.apache.cordova.camera" version="0.3.2" />

      <gap:plugin name="org.apache.cordova.network-information" version="0.2.12" />

      <gap:plugin name="org.apache.cordova.file" version="1.3.1" />

      <gap:plugin name="org.apache.cordova.file-transfer" version="0.4.6" />

      <gap:plugin name="org.apache.cordova.geolocation" version="0.3.10" />

      <gap:plugin name="org.apache.cordova.inappbrowser" version="0.5.2" />

      <gap:plugin name="com.phonegap.plugins.barcodescanner" version="2.0.0" />

      <gap:plugin name="com.phonegap.plugins.childbrowser" />

      <gap:plugin name="org.apache.cordova.dialogs" version="0.2.10" />

       

      <feature name="http://api.phonegap.com/1.0/network" />

      <feature name="http://api.phonegap.com/1.0/camera" />

      <feature name="http://api.phonegap.com/1.0/file" />

      <feature name="http://api.phonegap.com/1.0/geolocation" />

      <feature name="http://api.phonegap.com/1.0/notification" />

       

      <preference name="phonegap-version" value="3.7.0" />

       

       

       

       

      6.0:

      <plugin name="cordova-plugin-camera" spec="~2.3.1" />

      <plugin name="cordova-plugin-network-information" spec="~1.3.1" />

      <plugin name="cordova-plugin-file" spec="~4.3.1" />

      <plugin name="cordova-plugin-file-transfer" spec="~1.6.1" />

      <plugin name="cordova-plugin-geolocation" spec="~2.4.1" />

      <plugin name="cordova-plugin-inappbrowser" spec="~1.6.1" />

      <plugin name="com.phonegap.plugins.barcodescanner" version="~6.0.0" />

       

      <preference name="phonegap-version" value="cli-6.3.0" />

      <preference name="android-build-tool" value="gradle" />